#
# spec file for package providers (Version 2001.9.26)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  recode
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline recode rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         providers
Copyright:    GPL
Group:        Networking/Utilities
Autoreqprov:  on
Version:      2001.9.26
Release:      18
Source0:      %{name}.tar.bz2
BuildRoot:    /var/tmp/%{name}-root
Summary:      List of internet providers
BuildArchitectures: noarch

%description
List of predefined internet providers which are used for dialing
with wvdial and for configuration with YaST2.

SuSE series: n

%prep 
%setup -n %{name}

%build
recode latin2..UTF-8 CZ.wvdial.conf
./check_unique

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/share/providers
for i in `ls *.wvdial.conf`; do
sed 's/ *=/ =/;/Phone/s/-//g' $i \
                              > $RPM_BUILD_ROOT/usr/share/providers/`basename $i`
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root)
%config /usr/share/providers/*

%changelog -n providers
* Wed Sep 26 2001 - dan@suse.cz
- fixed usename and password for provider Contactel (Czech Rep.)
* Sun Sep 16 2001 - arvin@suse.de
- updated german providers and added dns entries for most
  german providers
* Wed Sep 05 2001 - msvec@suse.cz
- unify homepage urls (#10068)
* Mon Aug 06 2001 - arvin@suse.de
- corrected data for argonsoft (bug #9399)
* Fri Aug 03 2001 - dan@suse.cz
- added user and password for provider Volny (Czech Rep.)
- sources tarballed
* Mon Jul 23 2001 - arvin@suse.de
- added provider msn (for germany) (bug #7705)
- started to add dns entries
* Thu May 17 2001 - arvin@suse.de
- removed US providers, since they all do not work (bug #7859)
* Mon May 14 2001 - bk@suse.de
- fixed UK Totalize phone number (now set to 0845 300 1470)
* Wed May 09 2001 - pblaha@suse.cz
- add priority for Arcor, Mobilcom, UUNet, Planet-Intercom, Spray
* Mon May 07 2001 - arvin@suse.de
- Removed Callino (they are almost bankrupt) (bug #7705).
* Fri May 04 2001 - pblaha@suse.cz
- remove white spaces on the end of phone fields
* Fri Apr 27 2001 - arvin@suse.de
- set "ISDN supported = 1" for T-Online
* Fri Apr 20 2001 - pblaha@suse.cz
- add Priority tag for UK provider "Totalise"
* Tue Apr 17 2001 - arvin@suse.de
- added UK provider "Totalise"
- removed UK provider "Mailbox"
* Tue Apr 03 2001 - arvin@suse.de
- added UK provider "hotlinks"
* Thu Mar 22 2001 - pblaha@suse.cz
- fix my error in spec file
* Fri Mar 16 2001 - pblaha@suse.cz
- add new two czech free providers Kiwwi and Centrum
- use recode for CZ.wvdial.conf latin2 -> UTF
* Wed Jan 24 2001 - bk@suse.de
- DE.wvdial.conf: remove not working provider buntcom
- DE.wvdial.conf: remove ae umlauts from passwords(yast2 uses UTF)
- fixes bug #4998
* Thu Jan 18 2001 - bk@suse.de
- fix for duplicate list item in current YaST2 provider list widget
- removed some german providers(missing info/no service/obsolete)
- added missing homepages
* Sun Jan 14 2001 - arvin@suse.de
- fixed provider name conflict
* Sat Jan 13 2001 - bk@suse.de
- Updated DE.wvdial.conf; new Internet by Call Providers, fix Bug#4998
- removed DE.wvdial.conf.disabled (obsolete)
* Mon Jan 08 2001 - arvin@suse.de
- added script to check for uniques of providers
- removed some duplicate providers from US list
* Thu Dec 28 2000 - kendy@suse.cz
- script generating the US providers
- US.wvdial.conf added
* Tue Dec 19 2000 - smid@suse.cz
- CZ.wvdial.conf fixed [#4732]
* Tue Dec 12 2000 - arvin@suse.de
- added rebel network to UK list
* Tue Dec 05 2000 - smid@suse.cz
- new dialer ispda_ostrava to CZ.wvdial.conf
* Mon Nov 27 2000 - arvin@suse.de
- renamed compuserve_de to compuserve and removed compuserve
* Thu Nov 23 2000 - arvin@suse.de
- new phone number of compuserve germany
* Mon Nov 13 2000 - kendy@suse.cz
- 4 UK providers added
* Tue Oct 31 2000 - smid@suse.cz
- Initial version
